diff -Nru audiofile-0.2.6/audiofile.m4 audiofile-0.2.7/audiofile.m4
--- audiofile-0.2.6/audiofile.m4	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/audiofile.m4	2010-03-12 09:57:54.000000000 +0100
@@ -9,7 +9,7 @@
 dnl AM_PATH_AUDIOFILE([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
 dnl Test for Audio File Library, and define AUDIOFILE_CFLAGS and AUDIOFILE_LIBS.
 dnl
-AC_DEFUN(AM_PATH_AUDIOFILE,
+AC_DEFUN([AM_PATH_AUDIOFILE],
 [dnl 
 dnl Get compiler flags and libraries from the audiofile-config script.
 dnl
diff -Nru audiofile-0.2.6/audiofile.spec audiofile-0.2.7/audiofile.spec
--- audiofile-0.2.6/audiofile.spec	2004-03-06 08:53:47.000000000 +0100
+++ audiofile-0.2.7/audiofile.spec	2010-03-22 06:46:43.000000000 +0100
@@ -1,4 +1,4 @@
-%define  ver     0.2.6
+%define  ver     0.2.7
 %define  RELEASE 1
 %define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
 %define  prefix  /usr
diff -Nru audiofile-0.2.6/ChangeLog audiofile-0.2.7/ChangeLog
--- audiofile-0.2.6/ChangeLog	2004-03-06 08:39:33.000000000 +0100
+++ audiofile-0.2.7/ChangeLog	2010-03-22 06:43:59.000000000 +0100
@@ -1,3 +1,119 @@
+2010-03-21  Michael Pruett <michael@68k.org>
+
+	* Released version 0.2.7 of the Audio File Library.
+
+2010-03-21  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/wavewrite.c: Write fact chunk in WAVE files
+	with floating-point audio data.
+
+2010-03-21  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/aiff.c, libaudiofile/aiffwrite.c,
+	libaudiofile/iff.c, libaudiofile/iffwrite.c,
+	libaudiofile/util.c, libaudiofile/util.h, libaudiofile/wave.c,
+	libaudiofile/wavewrite.c: Add convenience functions for reading
+	and writing bytes and Pascal strings.
+
+2010-03-18  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/wave.c, libaudiofile/wavewrite.c: Add support
+	for writing double-precision floating-point WAVE files.
+
+	* test/Makefile.am, test/testdouble.c: Add test for reading and
+	writing double-precision floating-point audio files.
+
+2010-03-18  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/aiffwrite.c, libaudiofile/avr.c, libaudiofile/ircam.c,
+	libaudiofile/next.c, libaudiofile/raw.c, libaudiofile/wave.c,
+	libaudiofile/wavewrite.c: Fix handling of audio files with more than
+	2^24 frames.
+
+	* test/Makefile.am, test/large.c: Add test for reading and writing
+	audio files with more than 2^24 frames.
+
+2010-03-17  Michael Pruett <michael@68k.org>
+
+	* Mark module function tables as constant.
+
+2010-03-17  Jason Allen <lorddut@gmail.com>
+
+	* Mark data as constant in order to minimize unshared data.
+
+2010-03-16  Michael Pruett <michael@68k.org>
+
+	* Use C99 bool type.
+
+2010-03-16  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/afinternal.h, libaudiofile/modules/adpcm.c,
+	libaudiofile/modules/adpcm.h, libaudiofile/modules/ima.c,
+	libaudiofile/modules/msadpcm.c, libaudiofile/wave.c: Fix decoding
+	of multi-channel ADPCM audio files.
+
+2010-03-15  Michael Pruett <michael@68k.org>
+
+	* Use C99 integer types.
+
+2010-03-12  Wim Lewis <wiml@omnigroup.com>
+
+	* libaudiofile/debug.c, libaudiofile/modules/msadpcm.c,
+	libaudiofile/modules/ima.c, libaudiofile/wavewrite.c,
+	libaudiofile/query.c: Remove unused variables and fix warnings.
+
+2004-11-14  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/aiff.c: Add support for reading more nonstandard
+	uncompressed two's complement AIFF-C files created by Mac OS X.
+
+2004-09-14  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/aiff.c: Add support for reading nonstandard
+	uncompressed AIFF-C files created by Mac OS X.
+
+2004-07-21  Michael Pruett <michael@68k.org>
+
+	* examples/power.c: Change invocations of 'abs' to 'fabs' since
+	arguments are doubles.
+
+	* sfcommands/sfconvert.c: Add support for converting to the NIST
+	SPHERE file format.
+
+2004-06-26  Michael Pruett <michael@68k.org>
+
+	* libaudiofile/aiff.c, libaudiofile/aiff.h, libaudiofile/aiffwrite.c,
+	libaudiofile/next.c, libaudiofile/nextwrite.c, libaudiofile/wave.c,
+	libaudiofile/wavewrite.c: Clean up AIFF, WAVE, and NeXT file parsing
+	and writing code by using af_{read,write}_uint{16,32}_{be,le} where
+	appropriate.
+
+2004-04-14  Michael Pruett <michael@68k.org>
+
+	* configure.in: Update configure.in to conform to current
+	autoconf conventions.
+
+	Thanks to Nico Roeser for this patch.
+
+2004-03-29  Michael Pruett <michael@68k.org>
+
+	* docs/*: Update documentation.
+
+2004-03-11  Michael Pruett <michael@68k.org>
+
+	* audiofile.m4: Quote AM_PATH_AUDIOFILE in order to fix
+	automake warning.
+
+	* libaudiofile/Makefile.am: Prepend audiofile.exports with
+	$(srcdir) in order to allow building from another directory.
+
+	Thanks to Frederic L. W. Meunier for these fixes.
+
+	* libaudiofile/audiofile.exports: Add VFS functions to list of
+	exported symbols.
+
+	Thanks to Daniel Kobras for pointing out this omission.
+
 2004-03-05  Michael Pruett <michael@68k.org>
 
 	* libaudiofile/Makefile.am, libaudiofile/audiofile.exports:
diff -Nru audiofile-0.2.6/config.h.in audiofile-0.2.7/config.h.in
--- audiofile-0.2.6/config.h.in	2004-03-06 08:40:28.000000000 +0100
+++ audiofile-0.2.7/config.h.in	2010-03-22 06:46:33.000000000 +0100
@@ -1,4 +1,4 @@
-/* config.h.in.  Generated from configure.in by autoheader.  */
+/* config.h.in.  Generated from configure.ac by autoheader.  */
 
 /* Define to 1 if you have the <dlfcn.h> header file. */
 #undef HAVE_DLFCN_H
@@ -57,13 +57,13 @@
 /* Define to the version of this package. */
 #undef PACKAGE_VERSION
 
-/* The size of a `long', as computed by sizeof. */
+/* The size of `long', as computed by sizeof. */
 #undef SIZEOF_LONG
 
-/* The size of a `off_t', as computed by sizeof. */
+/* The size of `off_t', as computed by sizeof. */
 #undef SIZEOF_OFF_T
 
-/* The size of a `size_t', as computed by sizeof. */
+/* The size of `size_t', as computed by sizeof. */
 #undef SIZEOF_SIZE_T
 
 /* Define to 1 if you have the ANSI C header files. */
@@ -94,17 +94,17 @@
 /* Define to `signed char' if <sys/types.h> does not define. */
 #undef int8_t
 
-/* Define to `long' if <sys/types.h> does not define. */
+/* Define to `long int' if <sys/types.h> does not define. */
 #undef off_t
 
-/* Define to `unsigned' if <sys/types.h> does not define. */
+/* Define to `unsigned int' if <sys/types.h> does not define. */
 #undef size_t
 
 /* Define to `unsigned short' if <sys/types.h> does not define. */
-#undef u_int16_t
+#undef uint16_t
 
 /* Define to `unsigned int' if <sys/types.h> does not define. */
-#undef u_int32_t
+#undef uint32_t
 
 /* Define to `unsigned char' if <sys/types.h> does not define. */
-#undef u_int8_t
+#undef uint8_t
diff -Nru audiofile-0.2.6/configure.ac audiofile-0.2.7/configure.ac
--- audiofile-0.2.6/configure.ac	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/configure.ac	2010-03-22 06:43:44.000000000 +0100
@@ -0,0 +1,109 @@
+dnl Process this file with autoconf to produce a configure script.
+AC_INIT
+AC_CONFIG_SRCDIR([libaudiofile/aiff.c])
+
+PACKAGE=audiofile
+AUDIOFILE_MAJOR_VERSION=0
+AUDIOFILE_MINOR_VERSION=2
+AUDIOFILE_MICRO_VERSION=7
+AUDIOFILE_VERSION=${AUDIOFILE_MAJOR_VERSION}.${AUDIOFILE_MINOR_VERSION}.${AUDIOFILE_MICRO_VERSION}
+
+dnl set version info for libaudiofile.so to package rev - $MAJOR + $MINOR : $MICRO : $MINOR
+AUDIOFILE_VERSION_INFO=2:7:2
+
+AC_SUBST(AUDIOFILE_MAJOR_VERSION)
+AC_SUBST(AUDIOFILE_MINOR_VERSION)
+AC_SUBST(AUDIOFILE_MICRO_VERSION)
+AC_SUBST(AUDIOFILE_VERSION)
+AC_SUBST(AUDIOFILE_VERSION_INFO)
+
+VERSION=$AUDIOFILE_VERSION
+
+AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
+AC_CONFIG_HEADER([config.h])
+
+dnl Checks for programs.
+AC_PROG_CC_C99
+AC_PROG_INSTALL
+AC_PROG_MAKE_SET
+AC_LIBTOOL_WIN32_DLL
+AM_PROG_LIBTOOL
+
+dnl Checks for libraries.
+dnl Check for the ldexp function in the math library.
+AC_CHECK_LIB(m, ldexp)
+
+dnl Check for the SGI Audio Library function alOpenPort.
+AC_CHECK_LIB(audio, alOpenPort, AUDIO_LIB=-laudio)
+AC_SUBST(AUDIO_LIB)
+
+dnl Checks for header files.
+AC_HEADER_STDC
+AC_CHECK_HEADERS(fcntl.h unistd.h)
+
+dnl Checks for typedefs, structures, and compiler characteristics.
+AC_C_CONST
+AC_C_BIGENDIAN
+
+dnl Disable large file support by default.
+if test "x$enable_largefile" = "x"; then
+	enable_largefile=no
+fi
+AC_SYS_LARGEFILE
+AC_TYPE_OFF_T
+AC_TYPE_SIZE_T
+
+AC_CHECK_SIZEOF(off_t)
+AC_CHECK_SIZEOF(size_t)
+AC_CHECK_SIZEOF(long)
+
+dnl Workaround the lack of these types.
+AC_CHECK_TYPE(uint8_t, unsigned char)
+AC_CHECK_TYPE(uint16_t, unsigned short)
+AC_CHECK_TYPE(uint32_t, unsigned int)
+AC_CHECK_TYPE(int8_t, signed char)
+AC_CHECK_TYPE(int16_t, short)
+AC_CHECK_TYPE(int32_t, int)
+
+dnl Checks for library functions.
+AC_PROG_GCC_TRADITIONAL
+AC_FUNC_MEMCMP
+AC_CHECK_FUNCS(strdup)
+
+dnl Set up platform specific stuff
+platform=none
+AC_MSG_CHECKING([for platform specific tests to compile])
+case "$host_os" in
+  linux*)
+    TEST_BIN="linuxtest"
+    platform=linux
+    ;;
+  irix5* | irix6*)
+    TEST_BIN="irixread irixtestloop"
+    platform=irix
+    ;;
+  darwin*)
+    if test -e /System/Library/Frameworks/CoreAudio.framework; then
+      TEST_BIN="osxplay"
+      platform="Mac OS X"
+    fi
+    ;;
+esac
+AC_MSG_RESULT($platform)
+AC_SUBST(TEST_BIN)
+
+AC_CONFIG_FILES([
+	audiofile.spec
+	audiofile.pc
+	sfcommands/Makefile 
+	test/Makefile 
+	examples/Makefile 
+	libaudiofile/Makefile 
+	libaudiofile/modules/Makefile 
+	docs/Makefile 
+	win32/Makefile 
+	Makefile 
+	audiofile-config])
+AC_CONFIG_COMMANDS([default],
+	[[case "$CONFIG_FILES" in *audiofile-config*) chmod +x audiofile-config;; esac]])
+AC_OUTPUT
diff -Nru audiofile-0.2.6/debian/changelog audiofile-0.2.7/debian/changelog
--- audiofile-0.2.6/debian/changelog	2011-08-25 13:36:32.000000000 +0200
+++ audiofile-0.2.7/debian/changelog	2011-08-25 13:28:48.000000000 +0200
@@ -1,3 +1,49 @@
+audiofile (0.2.7-0.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * New upstream release (Closes: #586686):
+    - Fix decoding of multi-channel ADPCM WAVE files.
+    - Reduce unshared data in library.
+    - Fix handling of audio files with more than 2^24 frames.
+    - Add support for writing double-precision floating-point WAVE files.
+    - Add support for reading certain uncompressed AIFF-C files created by
+      Mac OS X.
+    - Write fact chunk in floating-point WAVE files.
+    A big 'thank you!' goes to the upstream author Michael Pruett for
+    the great help.
+  * Switch packaging to source format 3.0 (quilt).
+  * Switch to DH 7 short-form:
+    - Add ${misc:Depends} to packages' Depends fields.
+  * Convert patches to the quilt format and then:
+    - 10_update_docs: adopted upstream.
+    - 10_update_libtool: not needed anymore as DH's autotools_dev add-on is
+      used now
+    - 10_export_vfs: applied upstream.
+    - 10_pack_real_char3: refresh'd.
+    - 10_incorrect_wav_size: applied upstream.
+    - 10_au_length_unspecified: refresh'd.
+    - 10_support_nonstandard_aiffc: adopted upstream.
+    - 10_sfinfo_no_options: refresh'd.
+    - 10_sfconvert_add_nist_support: applied upstream.
+    - 10_warning_fixes: applied upstream.
+    - 10_m4_quoting_fix: applied upstream.
+    - 10_include_audiofile_in_af_vfs: refresh'd.
+    - 10_pkgconfig_privlibs: dropped to avoid FTBFS with new toolchain.
+    - 10_float_size_calculation_fix: refresh'd.
+    - 20_exports_vpath_fix{,up}: applied upstream.
+    - 22_CVE-2008-5824: superseded upstream.
+  * Strip unneeded *.la files from -DEV package.
+  * Add symbols file.
+  * Add watch file.
+  * Add Homepage.
+  * Improve libaudiofile0-dbg's short description, fix Lintian's
+    duplicate-short-description warning.
+  * Fix Lintian's "binary-control-field-duplicates-source field" warning.
+  * Update debian/copyright.
+  * Bump Standards.
+
+ -- Alessio Treglia <alessio@debian.org>  Thu, 25 Aug 2011 13:28:27 +0200
+
 audiofile (0.2.6-8) unstable; urgency=low
 
   * Added patches:
diff -Nru audiofile-0.2.6/debian/compat audiofile-0.2.7/debian/compat
--- audiofile-0.2.6/debian/compat	2011-08-25 13:36:32.000000000 +0200
+++ audiofile-0.2.7/debian/compat	2011-08-16 10:16:32.000000000 +0200
@@ -1 +1 @@
-5
+7
diff -Nru audiofile-0.2.6/debian/control audiofile-0.2.7/debian/control
--- audiofile-0.2.6/debian/control	2011-08-25 13:36:32.000000000 +0200
+++ audiofile-0.2.7/debian/control	2011-08-25 13:11:48.000000000 +0200
@@ -2,13 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Daniel Kobras <kobras@debian.org>
-Build-Depends: debhelper (>= 5), autotools-dev, dpatch
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
+Standards-Version: 3.9.2
+Homepage: http://audiofile.68k.org/
 
 Package: libaudiofile-dev
 Section: libdevel
 Architecture: any
-Depends: libaudiofile0 (= ${binary:Version}), libc6-dev
+Depends: libaudiofile0 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Conflicts: libaudiofile0 (<= 0.2.3-4)
 Replaces: libaudiofile0 (<= 0.2.3-4)
 Description: Open-source version of SGI's audiofile library (header files)
@@ -21,9 +22,8 @@
  identifying and converting audio files.
 
 Package: libaudiofile0
-Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Open-source version of SGI's audiofile library
  The audiofile library allows the processing of audio data to and from audio
  files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
@@ -36,8 +36,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libaudiofile0 (= ${binary:Version})
-Description: Open-source version of SGI's audiofile library
+Depends: libaudiofile0 (= ${binary:Version}), ${misc:Depends}
+Description: Open-source version of SGI's audiofile library (debug)
  The audiofile library allows the processing of audio data to and from audio
  files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
  and raw data).
diff -Nru audiofile-0.2.6/debian/copyright audiofile-0.2.7/debian/copyright
--- audiofile-0.2.6/debian/copyright	2011-08-25 13:36:32.000000000 +0200
+++ audiofile-0.2.7/debian/copyright	2011-08-25 13:26:42.000000000 +0200
@@ -6,7 +6,7 @@
 Upstream Author: Michael Pruett <michael@68k.org>
 
 Copyright:	
-		1998-2000, 2003-2004, Michael Pruett
+		1998-2000, 2003-2004, 2010 Michael Pruett <michael@68k.org>
 		2000-2001, Silicon Graphics, Inc.
 		except for ADPCM code, which is Copyright 1992 by 
 		Stichting Mathematisch Centrum, Amsterdam, The Netherlands.
@@ -24,7 +24,8 @@
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 	Library General Public License for more details.
 
-* The programs in this package are available under the GNU General Public License.
+* The programs in this package are available under the GNU General Public
+  License.
 
 	This program is free software; you can redistribute it and/or
 	modify it under the terms of the GNU General Public License as
@@ -63,8 +64,6 @@
 	******************************************************************/
 
 On Debian GNU/Linux systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL', the
+Public License can be found in `/usr/share/common-licenses/GPL-2', the
 complete text of the GNU Library General Public License is available at 
-'/usr/share/common-licenses/LGPL'.
-
-
+'/usr/share/common-licenses/LGPL-2'.
diff -Nru audiofile-0.2.6/debian/libaudiofile0.symbols audiofile-0.2.7/debian/libaudiofile0.symbols
--- audiofile-0.2.6/debian/libaudiofile0.symbols	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/debian/libaudiofile0.symbols	2011-08-25 12:56:45.000000000 +0200
@@ -0,0 +1,114 @@
+libaudiofile.so.0 libaudiofile0 #MINVER#
+ AUpvfree@Base 0.2.6
+ AUpvgetmaxitems@Base 0.2.6
+ AUpvgetparam@Base 0.2.6
+ AUpvgetval@Base 0.2.6
+ AUpvgetvaltype@Base 0.2.6
+ AUpvnew@Base 0.2.6
+ AUpvsetparam@Base 0.2.6
+ AUpvsetval@Base 0.2.6
+ AUpvsetvaltype@Base 0.2.6
+ afCloseFile@Base 0.2.6
+ afFreeFileSetup@Base 0.2.6
+ afGetAESChannelData@Base 0.2.6
+ afGetByteOrder@Base 0.2.6
+ afGetChannels@Base 0.2.6
+ afGetCompression@Base 0.2.6
+ afGetDataOffset@Base 0.2.6
+ afGetFileFormat@Base 0.2.6
+ afGetFrameCount@Base 0.2.6
+ afGetFrameSize@Base 0.2.6
+ afGetInstIDs@Base 0.2.6
+ afGetInstParamLong@Base 0.2.6
+ afGetInstParams@Base 0.2.6
+ afGetLoopCount@Base 0.2.6
+ afGetLoopEnd@Base 0.2.6
+ afGetLoopEndFrame@Base 0.2.6
+ afGetLoopIDs@Base 0.2.6
+ afGetLoopMode@Base 0.2.6
+ afGetLoopStart@Base 0.2.6
+ afGetLoopStartFrame@Base 0.2.6
+ afGetLoopTrack@Base 0.2.6
+ afGetMarkComment@Base 0.2.6
+ afGetMarkIDs@Base 0.2.6
+ afGetMarkName@Base 0.2.6
+ afGetMarkPosition@Base 0.2.6
+ afGetMiscIDs@Base 0.2.6
+ afGetMiscSize@Base 0.2.6
+ afGetMiscType@Base 0.2.6
+ afGetPCMMapping@Base 0.2.6
+ afGetRate@Base 0.2.6
+ afGetSampleFormat@Base 0.2.6
+ afGetTrackBytes@Base 0.2.6
+ afGetTrackIDs@Base 0.2.6
+ afGetVirtualByteOrder@Base 0.2.6
+ afGetVirtualChannels@Base 0.2.6
+ afGetVirtualFrameSize@Base 0.2.6
+ afGetVirtualPCMMapping@Base 0.2.6
+ afGetVirtualSampleFormat@Base 0.2.6
+ afIdentifyFD@Base 0.2.6
+ afIdentifyNamedFD@Base 0.2.6
+ afInitAESChannelData@Base 0.2.6
+ afInitAESChannelDataTo@Base 0.2.6
+ afInitByteOrder@Base 0.2.6
+ afInitChannels@Base 0.2.6
+ afInitCompression@Base 0.2.6
+ afInitDataOffset@Base 0.2.6
+ afInitFileFormat@Base 0.2.6
+ afInitFrameCount@Base 0.2.6
+ afInitInstIDs@Base 0.2.6
+ afInitLoopIDs@Base 0.2.6
+ afInitMarkComment@Base 0.2.6
+ afInitMarkIDs@Base 0.2.6
+ afInitMarkName@Base 0.2.6
+ afInitMiscIDs@Base 0.2.6
+ afInitMiscSize@Base 0.2.6
+ afInitMiscType@Base 0.2.6
+ afInitPCMMapping@Base 0.2.6
+ afInitRate@Base 0.2.6
+ afInitSampleFormat@Base 0.2.6
+ afInitTrackIDs@Base 0.2.6
+ afNewFileSetup@Base 0.2.6
+ afOpenFD@Base 0.2.6
+ afOpenFile@Base 0.2.6
+ afOpenNamedFD@Base 0.2.6
+ afOpenVirtualFile@Base 0.2.6
+ afQuery@Base 0.2.6
+ afQueryDouble@Base 0.2.6
+ afQueryLong@Base 0.2.6
+ afQueryPointer@Base 0.2.6
+ afReadFrames@Base 0.2.6
+ afReadMisc@Base 0.2.6
+ afSeekFrame@Base 0.2.6
+ afSeekMisc@Base 0.2.6
+ afSetAESChannelData@Base 0.2.6
+ afSetChannelMatrix@Base 0.2.6
+ afSetErrorHandler@Base 0.2.6
+ afSetInstParamLong@Base 0.2.6
+ afSetInstParams@Base 0.2.6
+ afSetLoopCount@Base 0.2.6
+ afSetLoopEnd@Base 0.2.6
+ afSetLoopEndFrame@Base 0.2.6
+ afSetLoopMode@Base 0.2.6
+ afSetLoopStart@Base 0.2.6
+ afSetLoopStartFrame@Base 0.2.6
+ afSetLoopTrack@Base 0.2.6
+ afSetMarkPosition@Base 0.2.6
+ afSetTrackPCMMapping@Base 0.2.6
+ afSetVirtualByteOrder@Base 0.2.6
+ afSetVirtualChannels@Base 0.2.6
+ afSetVirtualPCMMapping@Base 0.2.6
+ afSetVirtualSampleFormat@Base 0.2.6
+ afSyncFile@Base 0.2.6
+ afTellFrame@Base 0.2.6
+ afWriteFrames@Base 0.2.6
+ afWriteMisc@Base 0.2.6
+ af_fclose@Base 0.2.6
+ af_flength@Base 0.2.6
+ af_fread@Base 0.2.6
+ af_fseek@Base 0.2.6
+ af_ftell@Base 0.2.6
+ af_fwrite@Base 0.2.6
+ af_virtual_file_destroy@Base 0.2.6
+ af_virtual_file_new@Base 0.2.6
+ af_virtual_file_new_for_file@Base 0.2.6
diff -Nru audiofile-0.2.6/debian/libaudiofile-dev.install audiofile-0.2.7/debian/libaudiofile-dev.install
--- audiofile-0.2.6/debian/libaudiofile-dev.install	2011-08-25 13:36:32.000000000 +0200
+++ audiofile-0.2.7/debian/libaudiofile-dev.install	2011-08-25 12:53:56.000000000 +0200
@@ -2,6 +2,5 @@
 usr/include/*
 usr/lib/pkgconfig/*
 usr/lib/*.a
-usr/lib/*.la
 usr/lib/*.so
 usr/share/aclocal/*.m4
diff -Nru audiofile-0.2.6/debian/patches/series audiofile-0.2.7/debian/patches/series
--- audiofile-0.2.6/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/debian/patches/series	2011-08-15 11:04:58.000000000 +0200
@@ -0,0 +1,4 @@
+10_pack_real_char3.patch
+10_au_length_unspecified.patch
+10_sfinfo_no_options.patch
+10_include_audiofile_in_af_vfs.patch
diff -Nru audiofile-0.2.6/debian/rules audiofile-0.2.7/debian/rules
--- audiofile-0.2.6/debian/rules	2011-08-25 13:36:32.000000000 +0200
+++ audiofile-0.2.7/debian/rules	2011-08-25 13:10:30.000000000 +0200
@@ -5,130 +5,22 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PACKAGE= audiofile
-
-include /usr/share/dpatch/dpatch.make
-
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-	audiofile_confflags += --build $(DEB_HOST_GNU_TYPE)
-else
-	audiofile_confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-endif
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
-
-
-version=`ls libaudiofile/.libs/lib*.so.* | \
- awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
-major=`ls libaudiofile/.libs/lib*.so.* | \
- awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-	# Make sure we use the latest autotools helpers.
-	if test -f config.sub; then \
-                 mv config.sub config.sub.debsave; \
-        fi
-	if test -f config.guess; then \
-                 mv config.guess config.guess.debsave; \
-        fi
+%:
+	dh $@ --with autoreconf
 
-	ln -sf /usr/share/misc/config.sub .
-	ln -sf /usr/share/misc/config.guess .
+override_dh_strip:
+	dh_strip -plibaudiofile0 --dbg-package=libaudiofile0-dbg
+	dh_strip --remaining-packages
 
+override_dh_makehslibs:
+	dh_makeshlibs -V 'libaudiofile0 (>= 0.2.3-4)'
 
-	rm -rf "$(CURDIR)/obj"
-	mkdir "$(CURDIR)/obj"
-	cd "$(CURDIR)/obj" && \
-		CFLAGS="$(CFLAGS)" ../configure $(audiofile_confflags) \
-			--prefix=/usr --mandir=\$${prefix}/share/man \
-			--infodir=\$${prefix}/share/info
-
-	touch configure-stamp
-
-build: build-stamp
-build-stamp: patch-stamp configure-stamp
-	dh_testdir
-	cd "$(CURDIR)/obj" && $(MAKE)
-	touch build-stamp
-
-check: check-stamp
-check-stamp: build-stamp
-	dh_testdir
+override_dh_auto_test:
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
-		cd "$(CURDIR)/obj" && $(MAKE) check; \
+		dh_auto_test ; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
 	fi
-	touch check-stamp
-	
-clean: unpatch
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp configure-stamp check-stamp
-
-	rm -rf "$(CURDIR)/obj"
-	
-	if test -L config.sub; then \
-                $(RM) config.sub; \
-		if test -e config.sub.debsave; then \
-                	mv config.sub.debsave config.sub; \
-		fi; \
-	fi
-	if test -L config.guess; then \
-                $(RM) config.guess; \
-		if test -e config.guess.debsave; then \
-                	mv config.guess.debsave config.guess; \
-		fi; \
-        fi
-
-	dh_clean
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdirs
-
-	cd "$(CURDIR)/obj" && $(MAKE) install DESTDIR="$(CURDIR)/debian/tmp/"
-
-
-# Build architecture-independent files here.
-binary-indep: build check install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build check install
-	dh_testdir
-	dh_testroot
-
-	dh_install -A --sourcedir=debian/tmp
-	dh_installdocs
-	dh_installman
-	dh_installchangelogs ChangeLog
-	dh_link -A
-	dh_strip -p libaudiofile0 --dbg-package=libaudiofile0-dbg
-	dh_strip
-	dh_compress 
-	dh_fixperms
-	dh_makeshlibs -V 'libaudiofile0 (>= 0.2.3-4)'
-	dh_installdeb
-	dh_shlibdeps -L libaudiofile0 -l debian/libaudiofile0/usr/lib
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb 
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch check
diff -Nru audiofile-0.2.6/debian/source/format audiofile-0.2.7/debian/source/format
--- audiofile-0.2.6/debian/source/format	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/debian/source/format	2011-08-12 12:58:40.000000000 +0200
@@ -0,0 +1 @@
+3.0 (quilt)
diff -Nru audiofile-0.2.6/debian/watch audiofile-0.2.7/debian/watch
--- audiofile-0.2.6/debian/watch	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/debian/watch	2011-08-12 12:58:00.000000000 +0200
@@ -0,0 +1,3 @@
+version=3
+http://www.68k.org/~michael/audiofile/ \
+	audiofile-(.*)\.tar\.gz
